Subject: hang is in [EmacsApp run] (24.4.51; Hang after toolbar use)

From: David Reitter <[email-masked]>
Date: Tue, 28 Oct 2014 23:51:21 -0400

The hang occurs in the “run” method (of EmacsApp), specifically this function call:

        NSEvent *event =
          [self nextEventMatchingMask:NSAnyEventMask
                            untilDate:[NSDate distantFuture]
                               inMode:NSDefaultRunLoopMode
                              dequeue:YES];

does not appear to return.

I have tried using [NSDate dateWithTimeIntervalSinceNow:2], but that doesn’t work either.

> On Oct 27, 2014, at 8:40 PM, David Reitter <[email-masked]> wrote:
> 
> interrupt_input_blocked is often 0 when the hang occurs, but I noticed some strange conditions when interrupting a non-hanging Emacs:
> 
> (lldb) print interrupt_input_blocked
> (int) $9 = -1
> 
> or interrupt_input_blocked has a nonsensical value:
> 
> (lldb) print interrupt_input_blocked
> (int) $3 = 1157628088
> 
> I have tried placing a warning in unblock_input() to notify of negative values for interrupt_input_blocked, but that didn’t lead to anything in conjunction with the toolbar double-click.
> 
> So maybe this is all a red herring.